echo "Installing Dependencies"
sudo apt update
sudo apt install -y python3 python3-pip python3-scipy python3-numpy
sudo pip3 install pyserial
sudo pip3 install paho-mqtt
sudo pip3 install --no-deps siwat-light-control-protocol

echo "Creating SLCP Working Directory"
sudo cp -rv ./ /slcp
sudo chmod 777 -Rv /slcp

echo "Creating systemd Service"
sudo chmod +x /slcp/jumpstart.sh
sudo ln -v /slcp/slcp.service /lib/systemd/system/slcp.service
sudo systemctl daemon-reload
sudo systemctl enable slcp.service
echo "Installation Completed!"
echo "Adjust /slcp/config.json then run sudo \"systemctl start slcp.service\""